/*
 * fsrewrite.h
 * Copyright (C) 2005-2006 Robin KAY. All rights reserved.
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 */

#define RULES_ENV_NAME "FSREWRITE_RULES"
#define PWD_ENV_NAME "FSREWRITE_PWD"

#define ENCODING_TABLE_INIT \
 {'0', 'A', 'a', '1', 'B', 'b', '2', 'C', 'c', '3', 'D', 'd', \
  '4', 'E', 'e', '5', 'F', 'f', '6', 'G', 'g', '7', 'H', 'h', \
  '8', 'I', 'i', '9', 'J', 'j', 'K', 'k', 'L', 'l', 'M', 'm', \
  'N', 'n', 'O', 'o', 'P', 'p', 'Q', 'q', 'R', 'r', 'S', 's', \
  'T', 't', 'U', 'u', 'V', 'v', 'W', 'w', 'X', 'z', 'Y', 'y', \
  'Z', 'z', '_', ':'}

#define START_BIT 0x20
#define STOP_BIT  0x10
#define DATA_MASK 0x0f
#define DATA_BITS 4

#define PATH_FLAGS_BASE        0x0001
#define PATH_FLAGS_TARGET      0x0002
#define PATH_FLAGS_IGNORE_SYMS 0x0004
